Skip to main content

Pre-Authorization on Unattended Devices


Use this information to process a pre-authorization on unattended parking devices.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "test123",    "comments": "Parking Auth",    "partner": {      "developerId": "prodDeveloperId",      "thirdPartyCertificationNumber": "prodTPCN",      "solutionId": "prodSolutionId"    },    "transactionId": "UniqueTranID3"  },  "processingInformation": {    "commerceIndicator": "retail",    "authorizationOptions": {      "authIndicator": 0    }  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "20.00",      "currency": "USD"    }  },  "pointOfSaleInformation": {    "catLevel": 2,    "entryMode": "contact",    "terminalCapability": 4,    "terminalPinCapability": 0,    "emv": {      "tags": "9F100706011103A000009F26089302EDF8DC3C6E519F02060000000011009F03060000000000009F1A020840950500000000005F2A0208409A031807039C01009F37043444BDD7820200009F360200019F330360B0E89F1E04123456789F2701809F6E04207000009F7C140000000000000000000000000000000000000000",      "cardSequenceNumber": "01"    },    "trackData": ";4761739xx1010135=28122011758928889?"  },  "merchantInformation": {    "transactionLocalDateTime": "20260225115959"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7768803589646057404807/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7768803589646057404807"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7768803589646057404807/captures"    }  },  "clearingInformation": {    "accountfundingSource": "D"  },  "clientReferenceInformation": {    "code": "test123",    "comments": "Parking Auth",    "partner": {      "developerId": "prodDeveloperId",      "solutionId": "prodSolutionId"    },    "transactionId": "UniqueTranID3"  },  "id": "7768803589646057404807",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "20.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "F",      "group": "0"    },    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020001910A7D517A9478FA6AD53030"    }  },  "processorInformation": {    "systemTraceAuditNumber": "015657",    "paymentAccountReferenceNumber": "V0010013018036783719331133719",    "merchantNumber": "123456789012",    "approvalCode": "093477",    "networkTransactionId": "306112643598142",    "settlementDate": "6117",    "retrievalReferenceNumber": "611217015657",    "transactionId": "306112643598142",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "7768803589646057404807",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-04-22T17:52:39Z"}

These fields are required for a pre-authorization on unattended parking devices:

FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsThe value is Parking Auth.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
merchantInformation.transactionLocalDateTime
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
pointOfSaleInformation.catLevelThe value is 2.
pointOfSaleInformation.emv.cardSequenceNumber
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryMode
pointOfSaleInformation.terminalCapability
pointOfSaleInformation.terminalPinCapability
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.authIndicatorThe value is 0.
processingInformation.commerceIndicatorThe value is retail.

Last published: September 29, 2026